Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.runtime.channels
Class TimerResponseChannelListener

    java.lang.Object
      org.apache.ode.jacob.JacobObject
          org.apache.ode.jacob.ChannelListener<TimerResponseChannel>
              org.apache.ode.bpel.runtime.channels.TimerResponseChannelListener

All Implemented Interfaces:
  java.io.Serializable, TimerResponse

    public abstract class TimerResponseChannelListener

extends ChannelListener<TimerResponseChannel>
implements TimerResponse

An auto-generated channel listener abstract class for the `TimerResponse` channel type.

See Also:
  `TimerResponse`, `TimerResponseChannel`, Serialized Form

Constructor Summary
`protected` | `TimerResponseChannelListener(TimerResponseChannel channel)`

Method Summary
`protected org.apache.commons.logging.Log` | `log()`

Methods inherited from class org.apache.ode.jacob.ChannelListener
`getChannel, getImplementedMethods, or, or, setChannel, toString`

Methods inherited from class org.apache.ode.jacob.JacobObject
`getClassName, getExtension, getMethod, importChannel, instance, newChannel, newChannel, object, object, object, object, replication, replication`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.ode.bpel.runtime.channels.TimerResponse
`onCancel, onTimeout`

Constructor Detail

### TimerResponseChannelListener

    protected TimerResponseChannelListener(TimerResponseChannel channel)

Method Detail

### log

    protected org.apache.commons.logging.Log log()

  Overrides:
    `log` in class `ChannelListener<TimerResponseChannel>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD